// Arduino           HCHO sensor (Target Gases: HCHO, Benzene, Toluene, Alcohol)
// A1 (Analog 1)          SIG
// +5V                    VCC
// GND                    GND

// Red Led connected to Arduino D13 (Digital input 13)

// Concentration Range: 1~50 ppm 
// more info: http://www.seeedstudio.com/wiki/Grove_-_HCHO_Sensor

float Vol, ppm;
int sensorValue;
int redLed = 13; // Red Led for indication

void setup()
{
    Serial.begin(9600);
    pinMode(redLed,OUTPUT);
    digitalWrite(redLed, LOW);
}

void loop()
{
    sensorValue=analogRead(A1);
    Vol=sensorValue*4.95/1023;
    ppm = map(Vol, 0, 4.95, 1, 50); // Concentration Range: 1~50 ppm 
    Serial.print("Sensor Value: ");
    Serial.print(sensorValue);
    Serial.print("   Vol: ");
    Serial.print(Vol);
    Serial.print("   ppm: ");
    Serial.print(ppm);
    
    if (sensorValue >500) {
      Serial.println(" - Seriously, don't drive. Just don't. Alcohol concentration is too big. ");
      digitalWrite(redLed, HIGH);
    }
    else {
      Serial.println();
      digitalWrite(redLed, LOW);
     
    }
    
    delay(5000);
}

